OpenTTD Source: FSoundDriver_Allegro Class Reference

OpenTTD Source 15.3

Public Member Functions
FSoundDriver_Allegro Class Reference

Factory for the allegro sound driver. More...

`#include <allegro_s.h>`

Inheritance diagram for FSoundDriver_Allegro:

## Public Member Functions
std::unique_ptr< Driver > | CreateInstance () const override
| Create an instance of this driver-class.
Public Member Functions inherited from DriverFactoryBase
std::string_view | GetDescription () const
| Get a nice description of the driver-class.

## Additional Inherited Members
Static Public Member Functions inherited from DriverFactoryBase
static void | ShutdownDrivers ()
| Shuts down all active drivers.
static void | SelectDriver (const std::string &name, Driver::Type type)
| Find the requested driver and return its class.
static void | GetDriversInfo (std::back_insert_iterator< std::string > &output_iterator)
| Build a human readable list of available drivers, grouped by type.
Protected Member Functions inherited from DriverFactoryBase
| DriverFactoryBase (Driver::Type type, int priority, std::string_view name, std::string_view description)
| Construct a new DriverFactory.
virtual | ~DriverFactoryBase ()
| Frees memory used for this->name.
virtual bool | UsesHardwareAcceleration () const
| Does the driver use hardware acceleration (video-drivers only).

## Detailed Description

Factory for the allegro sound driver.

Definition at line 27 of file allegro_s.h.

## Constructor & Destructor Documentation

## ◆ FSoundDriver_Allegro()

FSoundDriver_Allegro::FSoundDriver_Allegro | ( |  | ) |
| inline

Definition at line 29 of file allegro_s.h.

## Member Function Documentation

## ◆ CreateInstance()

std::unique_ptr< Driver > FSoundDriver_Allegro::CreateInstance | ( |  | ) | const
| inlineoverridevirtual

Create an instance of this driver-class.

Returns
  The instance.

Implements DriverFactoryBase.

Definition at line 30 of file allegro_s.h.

The documentation for this class was generated from the following file:

- src/sound/allegro_s.h